# $Revision: 1.12 $, $Date: 2010/08/21 19:08:49 $
%include	/usr/lib/rpm/macros.php
%define		_class		Gtk2
%define		_subclass	FileDrop
%define		_status		stable
%define		_pearname	Gtk2_FileDrop

Summary:	%{_pearname} - make Gtk widgets accept file drops
Summary(pl.UTF-8):	%{_pearname} - obsługa plików przez widgety Gtk
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	3
License:	PHP 2.0.2
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	647609d093581e152c4145a40c8506e4
URL:		http://pear.php.net/package/Gtk2_FileDrop/
BuildRequires:	php-pear-PEAR >= 1:1.4.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-gtk2
Requires:	php-pear
Requires:	php-pear-MIME_Type >= 1.0.0
Requires:	php-pear-PEAR-core >= 1:1.4.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A class which makes it easy to make a GtkWidget accept the dropping of
files or folders.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasy pozwalające w łatwy sposób na obsługę przez widget Gtk2
dodawanie na zasadzie przeciągnij i upuść (drag & drop) plików lub
katalogów.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/{examples/example.phpw,examples/big_example.phpw}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Gtk2/FileDrop.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Gtk2_FileDrop.spec,v $
Revision 1.12  2010/08/21 19:08:49  glen
- updated deps with pearize.sh
- release 3

Revision 1.11  2008/01/31 12:16:06  glen
- rel 2

Revision 1.10  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.8  2006/11/26 20:26:05  glen
- 1.0.0-stable

Revision 1.7  2006/11/26 13:33:36  glen
- rel 2: use php(extension) virtuals

Revision 1.6  2006/09/04 09:18:49  adamg
- updated to 0.1.1; R: php-gtk2

Revision 1.5  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.4  2006/04/27 19:55:03  qboosh
- typo

Revision 1.3  2006/04/24 15:45:31  spider
- typo

Revision 1.2  2006/04/24 15:42:47  spider
- pl cosmetics

Revision 1.1  2006/04/24 15:29:39  adamg
- new
